.slider-container {
    max-width: 1219px;
    margin: 150px auto;

    background-image: url("../images/slider-bg-blur.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.math-slider .heading {
    max-width: 796.61px;
    text-align: center;
    margin: auto;
}

.math-slider .heading .heading-2 {
    margin-bottom: 20px;
}

.math-slider .swiper {
    width: 100%;
    max-width: 1185px;
    margin: 0 auto;
    padding-top: 74.45px;
    padding-bottom: 79.91px;
}

.math-slider .swiper-slide {
    background-position: center;
    background-size: cover;
    width: 277.34px;
    height: 391.32px;
}

.math-slider .swiper-3d .swiper-slide-shadow-left,
.math-slider .swiper-3d .swiper-slide-shadow-right {
    background-image: none;
}

.math-slider .swiper-pagination-bullet-active {
    background: linear-gradient(352.34deg, rgba(30, 152, 243, 0.76) -19.86%, rgba(105, 185, 255, 0.76) 95.34%);
}

/* ===================== */

.book-card {
    height: 100%;
    width: 100%;
    border-radius: 6.52px;
    position: relative;
    transition: box-shadow 0.45s ease, transform 0.45s ease;
}

.book-card .label {
    background-color: white;
    position: absolute;
    width: 100%;
    height: 65.79px;
    left: 0;
    bottom: 46.05px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0px 10px;
    font-weight: 700;
    font-size: 25px;
    line-height: 120%;
    letter-spacing: -0.11px;
    vertical-align: middle;
    text-transform: capitalize;
}

.book-card .book-icon {
    position: absolute;
    width: 100%;
    left: 0;
    top: 0;
    height: calc(100% - 111.84px);
    display: grid;
    place-items: center;
}

.book-card .book-icon img {
    width: 140px;
    height: 140px;
    object-fit: contain;
    /* filter: drop-shadow(2px 2px 30px #00000071); */
    transition: all .4s;
}

.book-card .book-back {
    width: 25.64px;
    height: 100%;
    position: absolute;
    right: 98%;
    top: 0;
    border-top-left-radius: 24px;
    border-bottom-left-radius: 24px;
    opacity: 0;
    transition: opacity 0.2s ease;
    background-image: linear-gradient(161.91deg, rgba(8, 8, 8, 0.103) 13.97%, rgba(255, 255, 255, 0.137) 91.8%);
}

.book-card .book-back::after {
    content: '';
    position: absolute;
    width: 5px;
    height: 100%;
    right: 0;
    top: 0;
    display: block;
    background-image: linear-gradient(161.91deg, rgba(255, 255, 255, 0.158) 13.97%, transparent 91.8%);
}

.book-card .book-pages {
    width: 22px;
    height: 92%;
    position: absolute;
    left: 100%;
    top: 4%;
    border-top-right-radius: 6.52px;
    border-bottom-right-radius: 6.52px;
    opacity: 0;
    transition: opacity 0.2s ease;
}

.book-card .book-pages::after {
    content: '';
    position: absolute;
    width: 75%;
    height: 103%;
    left: 0;
    top: -1.2%;
    display: block;
    clip-path: polygon(0 0, 100% 3%, 100% 96%, 0% 100%);
    --stripe-width: 1.4px;
    background:
        repeating-linear-gradient(to right,
            #dfdddd 0,
            #dfdddd var(--stripe-width),
            #fff var(--stripe-width),
            #fff calc(var(--stripe-width) * 2));
}

.book-card.center {
    box-shadow: 5.7px 5.7px 19px 10.45px #00000033;
    transform: scaleX(1.1);
}

.book-card.center .book-icon img {
    transform: scaleX(0.9);
}

.book-card.left .book-back {
    opacity: 1;
}

.book-card.right .book-pages {
    opacity: 1;
}

/* .book-card .x-power {
    left: 12px;
} */

/* ---- Navigation Buttons ---- */

.swiper-nav-wrapper {
    position: relative;
}

.slider-nav-btn {
    position: absolute;
    top: 50%;
    width: 57.04px;
    height: 57.04px;
    border-radius: 50%;
    box-shadow: 0px 4px 12px 0px #FFFFFF3D inset;
    background-color: #FFFFFF01;
    cursor: pointer;
    line-height: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #374151;
    z-index: 10;
    transition: box-shadow 0.2s, background 0.2s;
    user-select: none;
    font-size: 34.52px;
    border: none;
    box-shadow: 0px -1.2px 37.72px -1.19px #00000038;
}

.slider-prev {
    left: 0;
    transform: translateY(-50%) translateX(-22%);
}

.slider-next {
    right: 0;
    transform: translateY(-50%) translateX(22%);
}

.slider-nav-btn:hover {
    /* background: #f5f5f5; */
    box-shadow: 0 4px 14px rgba(0, 0, 0, 0.22);
}

.slider-nav-btn:active {
    background: #ececec;
}

.slider-prev span {
    display: inline-block;
    transform: translate(-1px, -2px);
}

.slider-next span {
    display: inline-block;
    transform: translate(1px, -2px);
}

.overlay-shade {
    position: absolute;
    width: 86.5px;
    height: 100%;
    top: 0;
    background-color: #FFFFFF;
    left: 0;
    z-index: 9;
}

.overlay-shade.right-shade {
    right: 0;
    left: auto;
}

/* ---- end Navigation Buttons ---- */

.book-card.right .label {
    width: calc(100% - 5px);
}

.book-card.right::after {
    content: '';
    position: absolute;
    width: 5px;
    height: 100%;
    right: 0;
    top: 0;
    display: block;
    background-image: linear-gradient(161.91deg, #ffffff3a 33.97%, #ffffff3a 91.8%);
    border-top-right-radius: 6.52px;
    border-bottom-right-radius: 6.52px;
}

/* ---- Responsive ---- */

@media (max-width: 1200px) {
    .slider-container {
        margin: 100px auto;
        padding: 0 24px;
    }
}

@media (max-width: 1023px) {
    .slider-container {
        margin: 80px auto;
    }
}

@media (max-width: 639px) {

    .slider-container {
        margin: 30px auto;
        padding: 0 20px;
    }

    .book-card {
        scale: 0.76;
    }

    .slider-nav-btn {
        background-color: #FFFFFF !important;
        width: 40px;
        height: 40px;
        border: 1px solid #00000033;
    }

    .slider-prev {
        transform: translateY(-0%) translateX(10px);
    }

    .slider-next {
        right: 0;
        transform: translateY(-0%) translateX(-10px);
    }

    .math-slider .swiper-slide {
        height: 380px;
        padding: 0 14px;
    }

    .math-slider .swiper {
        padding-top: 44.45px;
        width: 84%;
        padding-bottom: 0;
    }

    .overlay-shade {
        width: 0px;
    }
}

@media (max-width: 420px) {
    .swiper-pagination {
        display: none;
    }
}
